<?php
use Nette\Utils\Finder;

class GalleryPresenter extends BasePresenter
{
	/** string Path to the gallery folders */
	public $imgFolders;

	public function startup() {
		parent::startup();
		$this->imgFolders = $this->context->parameters['images']['gallery'];
	}

	public function actionDefault()
	{
		// Open the actual directory
		foreach (Finder::findDirectories('*')->from($this->imgFolders) as $folder) {
			foreach (Finder::findFiles('*.jpg')->from($folder) as $key => $file){
				$imgs[$folder->getPathname()][] = $file;
			}
			$galleryPaths[] = $folder->getPathname();
		}
		// $stop();
		$this->template->imgs 			= $imgs;
		$this->template->galleryPath 	= $galleryPaths;
	}

	public function actionAlbum($path)
	{
		// Open the actual directory
		foreach (Finder::findFiles('*.jpg')->from($path) as $key => $file){
			$imgs[] = $file;
		}

		$this->template->imgs = $imgs;
	}

}
